/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.model.enums;

/**
 *
 * @author Picasso
 */
public enum ExpenseType {
    NOTE("Nota") {
        @Override
        public String toString() {
            return "NOTE";
        }
    }, BILL("Factura") {
        @Override
        public String toString() {
            return "BILL";
        }
    }, CORTE("Corte del día") {
        @Override
        public String toString() {
            return "CORTE";
        }
    }, ELECTRICO("Eléctrico") {
        @Override
        public String toString() {
            return "ELECTRICO";
        }
    }, TORNO("Torno") {
        @Override
        public String toString() {
            return "TORNO";
        }
    }, SOLDADURA("Soldadura") {
        @Override
        public String toString() {
            return "SOLDADURA";
        }
    }, ESTETICO("Estético") {
        @Override
        public String toString() {
            return "ESTETICO";
        }
    }, GRUA("Grua") {
        @Override
        public String toString() {
            return "GRUA";
        }
    }, INICIO("Inicio") {
        @Override
        public String toString() {
            return "INICIO";
        }
    }, PAGO_CLIENTE("Pago cliente") {
        @Override
        public String toString() {
            return "PAGO_CLIENTE";
        }
    }, OTRAS_SALIDAS("Otras salidas") {
        @Override
        public String toString() {
            return "OTRAS_SALIDAS";
        }
    }, OTRAS_ENTRADAS("Otras entradas") {
        @Override
        public String toString() {
            return "OTRAS_ENTRADAS";
        }
    }, MANDADOS("Mandados") {
        @Override
        public String toString() {
            return "MANDADOS";
        }
    }, APOYO_VIAL("Apoyo vial") {
        @Override
        public String toString() {
            return "APOYO_VIAL";
        }
    }, RETORNO_EFECTIVO("Retorno de efectivo") {
        @Override
        public String toString() {
            return "RETORNO_EFECTIVO";
        }
    }, ABONO_FINANCIAMIENTO("Abono al financiamiento") {
        @Override
        public String toString() {
            return "ABONO_FINANCIAMIENTO";
        }
    }, INGRESO_PERCANCE("Ingreso por percanse") {
        @Override
        public String toString() {
            return "INGRESO_PERCANCE";
        }
    }, LAMINADO_PINTURA("Laminado y pintura") {
        @Override
        public String toString() {
            return "LAMINADO_PINTURA";
        }
    },  PAGO_ORDEN_SERVICIO("Pago de orden de servicio") {
        @Override
        public String toString() {
            return "PAGO_ORDEN_SERVICIO";
        }
    },DISABLED("DISABLED") {
        @Override
        public String toString() {
            return "DISABLED";
        }
    };

    private final String type;

    private ExpenseType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

}
